Subject: Re: linux-next: manual merge of the mtd tree with the vfs-brauner tree

From: Richard Weinberger <[email-masked]>
Date: Mon, 30 Oct 2023 21:11:36 +0100 (CET)

----- Ursprüngliche Mail -----
> Von: "Miquel Raynal" <[email-masked]>
>> Today's linux-next merge of the mtd tree got a conflict in:
>> 
>>   drivers/mtd/devices/block2mtd.c
>> 
>> between commit:
>> 
>>   1bcded92d938 ("mtd: block2mtd: Convert to bdev_open_by_dev/path()")
> 
> I haven't seen this commit, I was not Cc'ed.

Me neither. :-/
 
>> from the vfs-brauner tree and commit:
>> 
>>   ff6abbe85634 ("mtd: block2mtd: Add a valid holder to blkdev_put()")
> 
> I will drop this commit from mtd/next. Please take it through the
> vfs-brauner tree as well to avoid conflicts or otherwise, Richard, can
> you send an update at -rc1?

A side effect of 1bcded92d938 ("mtd: block2mtd: Convert to bdev_open_by_dev/path()")
is that it fixes the problem too. That's a good thing.

I'm a bit puzzled how to fix the problem for 6.5.y and 6.6.y stable releases.
Back porting 1bcded92d938 seems risky to me since the commit is large.
On the other hand, ff6abbe85634 will not make it into Linus' tree and therefore
is not suitable for stable either.

Thanks,
//richard